/*
 * Class EV_GRID_ACTION_SEQUENCES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_192 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_192 [] = {0xFF01,1551,191,0xFFFF};
static const EIF_TYPE_INDEX egt_2_192 [] = {0xFF01,191,0xFFFF};
static const EIF_TYPE_INDEX egt_3_192 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_192 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_192 [] = {0xFF01,191,0xFFFF};
static const EIF_TYPE_INDEX egt_6_192 [] = {0xFF01,191,0xFFFF};
static const EIF_TYPE_INDEX egt_7_192 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_192 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_192 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_192 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_192 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_192 [] = {0xFF01,191,0xFFFF};
static const EIF_TYPE_INDEX egt_13_192 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1001,0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_14_192 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,0xFF01,1001,0xFF01,1038,0xFFFF};
static const EIF_TYPE_INDEX egt_15_192 [] = {0xFF01,646,0xFFFF};
static const EIF_TYPE_INDEX egt_16_192 [] = {0xFF01,646,0xFFFF};
static const EIF_TYPE_INDEX egt_17_192 [] = {0xFF01,646,0xFFFF};
static const EIF_TYPE_INDEX egt_18_192 [] = {0xFF01,651,0xFFFF};
static const EIF_TYPE_INDEX egt_19_192 [] = {0xFF01,651,0xFFFF};
static const EIF_TYPE_INDEX egt_20_192 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,988,0xFFFF};
static const EIF_TYPE_INDEX egt_21_192 [] = {0xFF01,1583,0xFF01,0xFFF9,1,840,0xFF01,988,0xFFFF};
static const EIF_TYPE_INDEX egt_22_192 [] = {0xFF01,651,0xFFFF};
static const EIF_TYPE_INDEX egt_23_192 [] = {0xFF01,651,0xFFFF};
static const EIF_TYPE_INDEX egt_24_192 [] = {0xFF01,1583,0xFF01,0xFFF9,3,840,869,869,1001,0xFFFF};
static const EIF_TYPE_INDEX egt_25_192 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,869,869,869,1001,0xFFFF};
static const EIF_TYPE_INDEX egt_26_192 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,869,869,869,1001,0xFFFF};
static const EIF_TYPE_INDEX egt_27_192 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,869,869,869,1001,0xFFFF};
static const EIF_TYPE_INDEX egt_28_192 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,866,1001,0xFFFF};
static const EIF_TYPE_INDEX egt_29_192 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,866,1001,0xFFFF};
static const EIF_TYPE_INDEX egt_30_192 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_31_192 [] = {0xFF01,1583,0xFF01,0xFFF9,2,840,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_32_192 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,0xFF01,994,1001,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_33_192 [] = {0xFF01,1583,0xFF01,0xFFF9,4,840,0xFF01,994,1001,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_34_192 [] = {0xFF01,1583,0xFF01,0xFFF9,5,840,0xFF01,994,869,869,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_35_192 [] = {0xFF01,660,0xFFFF};


static const struct desc_info desc_192[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_192), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_192), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_192), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_192), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_192), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_192), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_192), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_192), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_192), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_192), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_192), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_192), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_192), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_192), 4579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_192), 4580, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_192), 4581, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_192), 4582, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_192), 4583, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_192), 4584, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_192), 4585, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_192), 4586, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_192), 4587, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_192), 4588, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_192), 4589, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_192), 4590, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_192), 4591, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_192), 4592, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_192), 4593, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_192), 4594, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_192), 4595, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_192), 4596, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_192), 4597, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_192), 4598, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_192), 4599, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_192), 4600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_192), -1, 0xFFFFFFFF},
};
void Init192(void)
{
	IDSC(desc_192, 0, 191);
	IDSC(desc_192 + 1, 1, 191);
	IDSC(desc_192 + 32, 1271, 191);
}


#ifdef __cplusplus
}
#endif
